System.Design 1.0.5000.0 2.0.0.0 System.Object

The class provides methods that can persist a control or an interface implementation as a string of aspx code. The implementation of these methods is driven by metadata attributes, such as the , , and .

The Web Forms page designer does not support the Reset method that is optionally exposed by Microsoft Windows Forms-based controls for property persistence.

To create a object or an interface by parsing a string of control- or template-persistence data, use the class methods.

Provides methods for persisting Web server controls at design-time.

- Method
  System.String ``

  This method requires an implementation to work correctly. This method uses the of the specified control to retrieve the designer host.

  Gets a string of data that represents the persisted form of the specified control.

  A string that represents the persisted form of the control.

  The to persist. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method requires an implementation to work correctly. This method uses the of the specified control to retrieve the designer host.

  Outputs a string of data that represents the persisted form of the specified control to the specified .

  The to output the persisted control data to. The to persist. 1.0.5000.0 2.0.0.0
- Method
  System.String `` ``

  This method requires an implementation to work correctly.

  Gets a string of data that represents the persisted form of the specified control, using the specified designer host.

  A string that represents the persisted form of the control.

  The to persist. An that is the designer host for the control. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method requires an implementation to work correctly.

  Outputs a string of data that represents the persisted form of the specified control to the specified , using the specified designer host.

  The to output the persisted control data to. The to persist. An that is the designer host for the control. 1.0.5000.0 2.0.0.0
- Method
  System.String `` ``

  This method requires an implementation to work correctly.

  Gets a string of data that can persist the inner properties of the specified control.

  A string that contains the information to persist about the inner properties of the control.

  The component to persist the inner properties of. An that is the designer host for the control. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method requires an implementation to work correctly.

  Outputs a string of data that can persist the inner properties of the specified control to the specified , using the specified designer host.

  The to use. The component to persist. An that is the designer host for the control. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.String `` ``

  The method requires an interface implementation in order to work correctly.

  Gets a string of data that represents the persisted form of the specified template.

  A string that represents the persisted form of the template.

  The template to persist. An that is the designer host for the control.
- Method
  2.0.0.0
  System.Void `` `` ``

  The method requires an interface implementation in order to work correctly.

  Writes a string of data that represents the persisted form of the specified template to the specified object.

  The to write the persisted template data to. The template to persist. An that is the designer host for the control.